System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class provides a base class that you can derive from and extend to implement a custom type editor for the design-time environment. Typically, your custom type editor interacts with the control.

Custom type editors are useful in situations where a text-box value editor is insufficient to effectively select the values of certain types.

To implement a custom design-time UI type editor, you must perform the following steps:

Define a class that derives from .

Override the method to handle the user interface, user input processing, and value assignment.

Override the method to inform the Properties window of the type of editor style that the editor will use.

You can add additional support for painting a value's representation in the Properties window by performing the following steps:

Override the method to indicate that the editor supports displaying the value's representation.

Override the method to implement the display of the value's representation.

Override the constructor method if the editor should have initialization behavior.

The class does not support right-to-left (RTL) layouts.

For more information about enhancing design-time support, see Extending Design-Time Support. For more information on implementing a , see User Interface Type Editors Overview.

Provides a base class that can be used to design value editors that can provide a user interface (UI) for representing and editing the values of objects of the supported data types.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` ``

  This method launches the user interface for value editing, and is called by the Properties window when a user attempts to edit the value of a type that this editor is configured to edit the value of. A service provider is provided so that the editor can obtain any required services.

  Edits the value of the specified object using the editor style indicated by the method.

  The new value of the object.

  An that this editor can use to obtain services. The object to edit. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` ``

  A service provider is provided so that the editor can obtain any required services.

  Edits the specified object's value using the editor style indicated by the method.

  The new value of the object. If the value of the object has not changed, this should return the same object it was passed.

  An that can be used to gain additional context information. An that this editor can use to obtain services. The object to edit. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.UITypeEditorEditStyle

  If a does not override and implement this method, will return by default.

  Gets the editor style used by the method.

  A enumeration value that indicates the style of editor used by the current . By default, this method will return .

  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Design.UITypeEditorEditStyle `` To be added

  Gets the editor style used by the method.

  A value that indicates the style of editor used by the method. If the does not support this method, then will return .

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added

  Indicates whether this editor supports painting a representation of an object's value.

  true if is implemented; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Indicates whether the specified context supports painting a representation of an object's value within the specified context.

  true if is implemented; otherwise, false.

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether drop-down editors should be resizable by the user.

- Method
  System.Void ``

  Editors should paint within the boundaries of the specified rectangle. This rectangle indicates the area of the Properties window to draw a representation of the value within.

  Paints a representation of the value of an object using the specified .

  A that indicates what to paint and where to paint it. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Editors should paint within the boundaries of the specified rectangle. This rectangle indicates the area of the Properties window to draw a representation of the value within.

  Paints a representation of the value of the specified object to the specified canvas.

  The object whose value this type editor will display. A drawing canvas on which to paint the representation of the object's value. A within whose boundaries to paint the value. 1.0.5000.0 2.0.0.0